/***NOTE:
	AbookReader parameter can be optionally specified in a target html file as 1st and 2nd line:
		<script>var jsParam1="fontFamily=Arial,Verdana&fontSize=25&windowH=750";</script> 
		<script src="AbookReader/AbookReader.js"></script>
	  Note: You only need to change the parameter values within the javascript variable named "jsParam1".
	- The parameter name "fontSize" specifies font size. Examples of values: 12,23,30.
	- The parameter name "windowW" specifies overall width of window in pixels. Examples of values: 800,max,1024.
	- The parameter name "windowH" specifies overall height of window in pixels. Examples of values: 600,max,768.
	- The parameter name "resize=N" specifies no font or window resize after webpage is loaded
	- The parameter name "TOC=1" specifies table of content is to be generated. TOC=0 means no toc.
	- The parameter name "fontFamily" specifies font names separated by comman such as 
		"FancyFont,Times Roman,Arial" or simply "Arial Black". If FancyFont does not exist, the next font
		name will be used.
****/

// test for ie5+ 
	if (document.all && document.getElementById) { 	// your browser is ie5+
	}
	else {
		alert("Your browser is not IE5. AbookReader software may not work.\nPlease try to use Normal View.");
	}
// setup querystring parameter
	var jsParam0="fontSize=20&windowW=max&windowH=max&Npane=2"; // default param
	var jsParam="htmlFile="+getFileName();
	if (typeof jsParam1!='undefined') {	 // jsParam1 specified in target html file
		jsParam+="&"+encodeURI(jsParam1);
	}
	jsParam+="&"+jsParam0;

// redirect to AbookReader.htm using querystring
	window.location="AbookReader.htm?"+jsParam;

function getFileName() {
	var targetName="";
	var urlQueryString=window.location.toString();
	var ix1,ix2;
	ix1=urlQueryString.lastIndexOf("/");
	ix2=urlQueryString.substring(ix1).indexOf("?");
	if (ix2<0) ix2=urlQueryString.length;
	targetName=urlQueryString.substring(ix1+1,ix2);
	return targetName;
} //getFileName
